package models;

import java.util.Date;
import java.util.List;

import javax.persistence.Entity;
import javax.persistence.Lob;
import javax.persistence.ManyToMany;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;

import play.db.jpa.Model;

@Entity
public class Book extends Model {

	public String title;
	@Lob
	public String description;
	public String condition;
	// public String imgUrl;
	public String author;
	public int prize;
	public int stock;
	@ManyToOne
	public Category category;
	public Date insertedAt;

	public Book(String title, String description, String condition,
			String author, int prize, int stock, Category category) {

		this.title = title;
		this.description = description;
		this.condition = condition;
		this.author = author;
		this.prize = prize;
		this.stock = stock;
		this.category = category;
		this.insertedAt = new Date();

	}

}
