package models;

import java.util.Date;

import javax.persistence.Entity;

import play.db.jpa.Model;

@Entity
public class User extends Model {

	public String userName;
	public String password;
	public String email;

	public String firstName;
	public String surName;
	public String street;
	public int postCode;
	public String city;

	public Date registeredAt;

	// public boolean isAdmin;

	public User(String userName, String password, String email,
			String firstName, String surName, String street, int postCode,
			String city) {

		this.userName = userName;
		this.password = password;
		this.email = email;

		this.firstName = firstName;
		this.surName = surName;
		this.street = street;
		this.postCode = postCode;
		this.city = city;

		this.registeredAt = new Date();

	}

	public static User connect(String email, String password) {
		return find("byEmailAndPassword", email, password).first();
	}

}
